Subject: Re: bug#30078: 27.0.50; Use lexical-binding for M-:

From: Stefan Monnier <[email-masked]>
Date: Sat, 13 Jan 2018 13:19:52 -0500

> Lexical-binding is just a feature, albeit an important one.
> It doesn't have to be introduced into every possible corner of Emacs,
> not without a good reason.

lexbind-Elisp and dynbind-Elisp are fundamentally two different
languages.  They are so similar that we don't think of it in those
terms, but having those 2 introduces complexity (including for the users
occasionally).  And actually the fact they're so similar sometimes makes
the problem worse because most people don't realize that they have to
pay attention to it or how to know which language is used when.

I very much hope to see Emacs shed its dynbind-Elisp support at some
point, tho it still seems to be a pretty distant future and I'm not even
sure how we'll get to that point.

bug#30078 is about making another step in this direction.

        Stefan